1
0 6
0 16 7
0 14 5
59
78
53
58
41
1 16 8
124
158
122
134
151
159
127
126
2 18 9
237
211
221
203
231
236
235
218
234
3 10 5
380
376
387
388
365
4 11 9
181
196
186
163
170
169
164
160
180
5 11 5
177
194
165
198
167
6 20 5
286
300
313
280
284
1 15 7
7 17 7
9
17
35
10
20
11
13
8 16 9
157
147
136
142
130
154
132
123
143
9 15 6
114
108
113
106
87
111
10 15 5
88
84
105
90
81
11 10 2
371
369
12 13 6
243
264
244
277
273
268
13 13 5
275
252
241
258
256
2 19 7
14 18 9
227
202
223
209
200
212
217
228
213
15 20 7
312
282
298
302
297
309
315
16 13 7
274
251
266
279
267
247
269
17 13 6
246
270
250
265
276
253
18 10 10
386
398
390
397
362
395
379
373
372
385
19 10 7
393
367
364
383
363
384
382
20 16 5
141
153
149
121
125
3 12 7
21 10 3
377
360
366
22 13 4
248
257
261
272
23 11 3
190
185
189
24 20 6
283
291
293
287
288
292
25 10 3
374
392
361
26 18 4
230
206
229
215
27 17 5
32
39
36
2
26
4 19 7
28 17 7
31
7
27
19
30
4
5
29 18 7
208
205
225
204
214
224
216
30 15 7
116
89
80
82
93
107
112
31 12 6
322
340
323
349
339
335
32 15 7
109
101
91
104
99
92
117
33 11 5
172
168
193
171
173
34 12 6
338
321
355
328
353
351
5 19 7
35 14 9
64
76
65
77
69
60
67
72
75
36 12 9
347
331
342
348
350
345
330
336
358
37 20 12
285
290
303
296
307
316
311
310
299
294
281
289
38 11 8
166
183
188
199
178
179
174
197
39 12 7
346
324
357
356
329
354
344
40 14 11
68
56
52
54
63
50
44
79
62
73
66
41 17 7
18
12
0
6
22
34
28
